.\" DO NOT MODIFY THIS FILE!  It was generated by help2man 1.49.3.
.TH GPIOSET "1" "October 2024" "libgpiod v2.2-rc1" "User Commands"
.SH NAME
gpioset \- manual page for gpioset v2.2-rc1
.SH SYNOPSIS
.B gpioset
[\fI\,OPTIONS\/\fR] \fI\,<line=value>\/\fR...
.SH DESCRIPTION
Set values of GPIO lines.
.PP
Lines are specified by name, or optionally by offset if the chip option
is provided.
Values may be '1' or '0', or equivalently 'active'/'inactive' or 'on'/'off'.
.PP
The line output state is maintained until the process exits, but after that
is not guaranteed.
.SH OPTIONS
.TP
\fB\-\-banner\fR
display a banner on successful startup
.TP
\fB\-b\fR, \fB\-\-bias\fR <bias>
specify the line bias
Possible values: 'pull\-down', 'pull\-up', 'disabled'.
(default is to leave bias unchanged)
.TP
\fB\-\-by\-name\fR
treat lines as names even if they would parse as an offset
.TP
\fB\-c\fR, \fB\-\-chip\fR <chip>
restrict scope to a particular chip
.HP
\fB\-C\fR, \fB\-\-consumer\fR <name> consumer name applied to requested lines (default is 'gpioset')
.TP
\fB\-d\fR, \fB\-\-drive\fR <drive>
specify the line drive mode
Possible values: 'push\-pull', 'open\-drain', 'open\-source'.
(default is 'push\-pull')
.TP
\fB\-h\fR, \fB\-\-help\fR
display this help and exit
.TP
\fB\-i\fR, \fB\-\-interactive\fR
set the lines then wait for additional set commands
Use the 'help' command at the interactive prompt to get help
for the supported commands.
.TP
\fB\-l\fR, \fB\-\-active\-low\fR
treat the line as active low
.TP
\fB\-p\fR, \fB\-\-hold\-period\fR <period>
the minimum time period to hold lines at the requested values
.TP
\fB\-s\fR, \fB\-\-strict\fR
abort if requested line names are not unique
.TP
\fB\-t\fR, \fB\-\-toggle\fR <period>[,period]...
toggle the line(s) after the specified period(s)
If the last period is 0 then gpioset exits else the sequence repeats.
.TP
\fB\-\-unquoted\fR
don't quote line names
.TP
\fB\-v\fR, \fB\-\-version\fR
output version information and exit
.TP
\fB\-z\fR, \fB\-\-daemonize\fR
set values then detach from the controlling terminal
.SS "Chips:"
.IP
A GPIO chip may be identified by number, name, or path.
e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.
.SS "Periods:"
.IP
Periods are taken as milliseconds unless units are specified. e.g. 10us.
Supported units are 'm', 's', 'ms', and 'us' for minutes, seconds, milliseconds and microseconds respectively.
.SH NOTE
.IP
It should not be assumed that a line will retain its state after gpioset exits.
When a process exits, any GPIO lines it has requested are automatically released.
Once released, the state of a line may be modified by the kernel or another process.
To guarantee the requested value, by default gpioset does not exit.
.SH AUTHOR
Bartosz Golaszewski <brgl@bgdev.pl>
.SH "REPORTING BUGS"
Report bugs to:
    Bartosz Golaszewski <brgl@bgdev.pl>
    linux-gpio <linux-gpio@vger.kernel.org>
.SH COPYRIGHT
Copyright \(co 2017\-2023 Bartosz Golaszewski
License: GPL\-2.0\-or\-later
.br
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
